<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.7.1</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html">speakerManager</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface.html">MockSpeakerInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::SpeakerInterface" alt="" coords="5,5,222,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::SpeakerInterface" alt="" coords="5,5,222,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a86d8b7d24231467b370f9daf40978558"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface.html#a86d8b7d24231467b370f9daf40978558">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a62a2c85856303a632259578e5be690e1">setVolume</a>, bool(int8_t))</td></tr>
<tr class="separator:a86d8b7d24231467b370f9daf40978558"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0da0a016efa4842ec3e5795ecc26875c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface.html#a0da0a016efa4842ec3e5795ecc26875c">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#aa6e6ba66cfe830e32f6fa9ca085d27e9">adjustVolume</a>, bool(int8_t))</td></tr>
<tr class="separator:a0da0a016efa4842ec3e5795ecc26875c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78a633fcfd083405aaa38390d29ccbeb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface.html#a78a633fcfd083405aaa38390d29ccbeb">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#acbe2074ac1537373fc6401e4a9103458">setMute</a>, bool(bool))</td></tr>
<tr class="separator:a78a633fcfd083405aaa38390d29ccbeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2855171d8500f5d7732928821714d3eb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface.html#a2855171d8500f5d7732928821714d3eb">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a87428c87003c137a49312155a9d47d99">getSpeakerSettings</a>, bool(<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerInterface::SpeakerSettings</a> *))</td></tr>
<tr class="separator:a2855171d8500f5d7732928821714d3eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34a0243d239a9d0aa33bbcf2c962a58b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface.html#a34a0243d239a9d0aa33bbcf2c962a58b">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a1edb277d8479e3c9a7ed75488f3cfd81">getSpeakerType</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a>())</td></tr>
<tr class="separator:a34a0243d239a9d0aa33bbcf2c962a58b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af86caad96e048c6396775a74a9659fbc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface.html#af86caad96e048c6396775a74a9659fbc">DelegateToReal</a> ()</td></tr>
<tr class="separator:af86caad96e048c6396775a74a9659fbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab667bcbb592393d4e79fd749cfae99d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1test_1_1_mock_speaker_interface.html#ab667bcbb592393d4e79fd749cfae99d3">MockSpeakerInterface</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> type)</td></tr>
<tr class="separator:ab667bcbb592393d4e79fd749cfae99d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface</a></td></tr>
<tr class="memitem:a62a2c85856303a632259578e5be690e1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a62a2c85856303a632259578e5be690e1">setVolume</a> (int8_t volume)=0</td></tr>
<tr class="separator:a62a2c85856303a632259578e5be690e1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6e6ba66cfe830e32f6fa9ca085d27e9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#aa6e6ba66cfe830e32f6fa9ca085d27e9">adjustVolume</a> (int8_t delta)=0</td></tr>
<tr class="separator:aa6e6ba66cfe830e32f6fa9ca085d27e9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe2074ac1537373fc6401e4a9103458 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#acbe2074ac1537373fc6401e4a9103458">setMute</a> (bool mute)=0</td></tr>
<tr class="separator:acbe2074ac1537373fc6401e4a9103458 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87428c87003c137a49312155a9d47d99 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a87428c87003c137a49312155a9d47d99">getSpeakerSettings</a> (<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerSettings</a> *settings)=0</td></tr>
<tr class="separator:a87428c87003c137a49312155a9d47d99 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1edb277d8479e3c9a7ed75488f3cfd81 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a1edb277d8479e3c9a7ed75488f3cfd81">getSpeakerType</a> ()=0</td></tr>
<tr class="separator:a1edb277d8479e3c9a7ed75488f3cfd81 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface</a></td></tr>
<tr class="memitem:a45fb9f447f7a2ed2d9ffb211c089de93 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">Type</a> { <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93ab7dadd69a14fa73e26ba543bbe4bdbeb">Type::AVS_SYNCED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93a54b4c4075463b2e02cd69f5cd139b5b2">Type::LOCAL</a>
 }</td></tr>
<tr class="separator:a45fb9f447f7a2ed2d9ffb211c089de93 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab667bcbb592393d4e79fd749cfae99d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab667bcbb592393d4e79fd749cfae99d3">&#9670;&nbsp;</a></span>MockSpeakerInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface::MockSpeakerInterface </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af86caad96e048c6396775a74a9659fbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af86caad96e048c6396775a74a9659fbc">&#9670;&nbsp;</a></span>DelegateToReal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface::DelegateToReal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a34a0243d239a9d0aa33bbcf2c962a58b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34a0243d239a9d0aa33bbcf2c962a58b">&#9670;&nbsp;</a></span>MOCK_METHOD0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a1edb277d8479e3c9a7ed75488f3cfd81">getSpeakerType</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a>()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86d8b7d24231467b370f9daf40978558"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86d8b7d24231467b370f9daf40978558">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a62a2c85856303a632259578e5be690e1">setVolume</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(int8_t)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0da0a016efa4842ec3e5795ecc26875c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0da0a016efa4842ec3e5795ecc26875c">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#aa6e6ba66cfe830e32f6fa9ca085d27e9">adjustVolume</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(int8_t)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a78a633fcfd083405aaa38390d29ccbeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78a633fcfd083405aaa38390d29ccbeb">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#acbe2074ac1537373fc6401e4a9103458">setMute</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(bool)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2855171d8500f5d7732928821714d3eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2855171d8500f5d7732928821714d3eb">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speakerManager::test::MockSpeakerInterface::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a87428c87003c137a49312155a9d47d99">getSpeakerSettings</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerInterface::SpeakerSettings</a> *)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/Users/rozenbf/workplace/cm/autoCM_publicRepo/avs-device-sdk/CapabilityAgents/SpeakerManager/test/<a class="el" href="_speaker_manager_test_8cpp.html">SpeakerManagerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.7.1 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
